# Interface DwgMetadataBase

Metadata shared by both 2D and 3D DWG's

interface DwgMetadataBase {
hasParseError: boolean;
parserVersion?: VersionInfo;
status:
| "Unknown"
| "Processing"
| "Processed"
| "Failed"
| "NotSupported"
| "Timeout"
| "MemoryLimitExceeded"
| "Fatal";
version: DwgVersion;
xrefs: {
[relativeUrl: string]: {
loaded: boolean;
name: string;
overlay: boolean;
};
};
}

#### Hierarchy (View Summary)

- TwinfinityParserMetadata
  - DwgMetadataBase
    - DwgMetadata3D
    - DwgMetadata2D

##### Index

### Properties

hasParseError
parserVersion?
status
version
xrefs

## Properties

### `Readonly` hasParseError

hasParseError: boolean

Set to `true` if the change has not been parsed correctly. For example if this happens for a .ifc or a .dwg file then it will not be possible to load the file.

Inherited from TwinfinityParserMetadata.hasParseError

### `Optional` `Readonly` parserVersion

parserVersion?: VersionInfo

Version of the parser that parsed this DWG file. Useful when we load DWG files which was parsed with old parsers to keep backwards compatibility. May be undefined if file was parsed before this property was introduced.

### status

status:
| "Unknown"
| "Processing"
| "Processed"
| "Failed"
| "NotSupported"
| "Timeout"
| "MemoryLimitExceeded"
| "Fatal"

Indicates outcome of how the system processed, has not yet processed or is processing the IFC file.

Inherited from TwinfinityParserMetadata.status

### `Readonly` version

version: DwgVersion

DWG version the DWG was last saved in.

### `Readonly` xrefs

xrefs: {
[relativeUrl: string]: {
loaded: boolean;
name: string;
overlay: boolean;
};
}

Relative URLs to the xrefs

#### Type declaration

- ##### [relativeUrl: string]: { loaded: boolean; name: string; overlay: boolean }

  Relative URL for the xref. To construct the absolute URLs of the xrefs use `relativeUrl` together with parent BimChange.url (excluding the file name)

  #### Type declaration

  - ##### `Readonly` loaded: boolean

    Whether xref should be initially loaded or not.

  - ##### `Readonly` name: string

    Name of the xref. Often same as file name (but can be different).

  - ##### `Readonly` overlay: boolean

    Whether xref is a overlay or not